Deployments.ai Docs
System

Show ECS service and Lambda function health for the install

GET /v1/system/components · SDK getSystemComponents · CLI deployments system components

GET
/v1/system/components

Requires platform:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Response Body

SystemComponentsResponse

application/json
  1. response
checkedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
ecsServices*array<>
lambdaFunctions*array<>
curl -X GET "https://example.com/v1/system/components"
{  "checkedAt": "2019-08-24T14:15:22Z",  "ecsServices": [    {      "clusterName": "string",      "component": "string",      "desiredCount": 0,      "health": "degraded",      "pendingCount": 0,      "rolloutState": "string",      "rolloutStateReason": "string",      "runningCount": 0,      "serviceName": "string",      "status": "string",      "taskDefinition": "string"    }  ],  "lambdaFunctions": [    {      "artifact": "string",      "codeMatchesRelease": true,      "codeSha256": "string",      "functionName": "string",      "health": "degraded",      "lastModified": "string",      "lastUpdateStatus": "string",      "state": "string"    }  ]}